Page MenuHomePhabricator

PRU: Standardize Messaging After Password Reset Request
Closed, InvalidPublic

Description

NOTE: This work status is pending, depending upon the outcome of conversations with Security, as detailed in T237755.

As a product manager, I want to see the same standardized message after the user submits a password reset request, so that we can ensure a higher level of privacy and security for our users.

Acceptance Criteria:

  • The message that users see after generating a password reset request should be standardized so that it is always the same. The message should read: "If the information submitted is valid, a password reset email will be sent. If you haven’t received an email, we recommend that you visit the Password Reset Help page.”
  • The text "Password Reset Help page" should link to a new page (to be created) in MediaWiki.
  • If possible, display what user input in the previous screen (i.,e, username, email address, or both). For example: "Input information: test@gmail.com"

Current Behavior:

If only username OR if username and email address information submitted


If only email address information submitted

Event Timeline

ifried created this task.Nov 22 2019, 10:47 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 22 2019, 10:48 PM
ifried renamed this task from Placeholder: Standardize Messaging After Password Reset Request to PRU: Standardize Messaging After Password Reset Request.Nov 27 2019, 3:40 PM
ifried updated the task description. (Show Details)
ifried added a project: Password-Reset-Update.
ifried updated the task description. (Show Details)Nov 27 2019, 4:48 PM
ifried updated the task description. (Show Details)
ifried updated the task description. (Show Details)Nov 27 2019, 4:56 PM
ifried updated the task description. (Show Details)Nov 27 2019, 10:23 PM
ifried updated the task description. (Show Details)Nov 27 2019, 11:33 PM
ifried closed this task as Invalid.Dec 3 2019, 8:45 PM

I'm closing this ticket, since the contents have been merged with T238961.